[gnome-commander/ci_next_test: 1/2] Evaluate return value of unit tests
- From: Uwe Scholz <uwescholz src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-commander/ci_next_test: 1/2] Evaluate return value of unit tests
- Date: Sun, 30 Jan 2022 20:28:40 +0000 (UTC)
commit 83edb2377f57cc33f05f4ef3e7054e8a8f27b968
Author: Uwe Scholz <u scholz83 gmx de>
Date: Sun Jan 30 19:59:56 2022 +0100
Evaluate return value of unit tests
.gitlab-ci.yml | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index ed51dc89..88aa2c64 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -20,5 +20,6 @@ build-job: # This job runs in the build stage, which runs first.
- ./autogen.sh
- make
- echo "Compile complete. Starting Unit test phase..."
- - make check || echo "Unit tests fail" && cat tests/test-suite.log && exit 1
- - echo "Unit tests finished."
+ - exit_code=0
+ - make check || exit_code=$?; if [ "$exit_code" != "0" ]; then echo "Unit tests failed."; cat
tests/test-suite.log; exit 1; fi;
+ - echo "Unit tests passed."
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]